Memcache::delete
Memcache::get
Memcache
PHP Manual

# Memcache::flush

Flush all existing items at the server

### Description

bool Memcache::flush ( void )

Memcache::flush immediately invalidates all existing items. Memcache::flush doesn't actually free any resources, it only marks all the items as expired, so occupied memory will be overwritten by new items. Also you can use memcache_flush function.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::flush example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
memcache_flush($memcache_obj);
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
$memcache_obj->flush();
?>`